Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreeManager.JKleppmannTree

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreeManager.JKleppmannTree

Enclosing class:
  `JKleppmannTreeManager`

public class JKleppmannTreeManager.JKleppmannTree extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptExternalOp(PeerId from, Op op)`
`void`
`commitOpForHost(PeerId host, Op op)`
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`
`JObjectKey`
`getNewNodeId()`
`List<Op>`
`getPendingOpsForHost(PeerId host, int limit)`
`Op`
`getPeriodicPushOp()`
`boolean`
`hasPendingOpsForHost(PeerId host)`
`void`
`move(JObjectKey newParent, JKleppmannTreeNodeMeta newMeta, JObjectKey node)`
`void`
`recordBootstrap(PeerId host)`
`void`
`trash(JKleppmannTreeNodeMeta newMeta, JObjectKey nodeKey)`
`JObjectKey`
`traverse(List<String> names)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### traverse

public JObjectKey traverse(List<String> names)

### getNewNodeId

public JObjectKey getNewNodeId()

### move

public void move(JObjectKey newParent, JKleppmannTreeNodeMeta newMeta, JObjectKey node)

### trash

public void trash(JKleppmannTreeNodeMeta newMeta, JObjectKey nodeKey)

### hasPendingOpsForHost

public boolean hasPendingOpsForHost(PeerId host)

### getPendingOpsForHost

public List<Op> getPendingOpsForHost(PeerId host, int limit)

### commitOpForHost

public void commitOpForHost(PeerId host, Op op)

### recordBootstrap

public void recordBootstrap(PeerId host)

### findParent

public org.apache.commons.lang3.tuple.Pair<String,JObjectKey> findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)

### acceptExternalOp

public void acceptExternalOp(PeerId from, Op op)

### getPeriodicPushOp

public Op getPeriodicPushOp()